eval_queue Struct Reference

## Data Fields

Tcl_Event | ev
char * | str
int | len
VALUE | interp
int * | done
int | safe_level
VALUE | result
VALUE | thread

## Detailed Description

Definition at line 412 of file tcltklib.c.

## Field Documentation

int* eval_queue::done

Definition at line 417 of file tcltklib.c.

Referenced by eval_queue_handler(), and ip_eval().

Tcl_Event eval_queue::ev

Definition at line 413 of file tcltklib.c.

Referenced by ip_eval().

VALUE eval_queue::interp

Definition at line 416 of file tcltklib.c.

Referenced by eval_queue_handler(), eval_queue_mark(), evq_safelevel_handler(), and ip_eval().

int eval_queue::len

Definition at line 415 of file tcltklib.c.

Referenced by eval_queue_handler(), evq_safelevel_handler(), and ip_eval().

VALUE eval_queue::result

Definition at line 419 of file tcltklib.c.

Referenced by eval_queue_handler(), eval_queue_mark(), and ip_eval().

int eval_queue::safe_level

Definition at line 418 of file tcltklib.c.

Referenced by eval_queue_handler(), evq_safelevel_handler(), and ip_eval().

char* eval_queue::str

Definition at line 414 of file tcltklib.c.

Referenced by eval_queue_handler(), evq_safelevel_handler(), and ip_eval().

VALUE eval_queue::thread

Definition at line 420 of file tcltklib.c.

Referenced by eval_queue_handler(), eval_queue_mark(), and ip_eval().

The documentation for this struct was generated from the following file:

- ext/tk/tcltklib.c